package com.szpg.db.dao;

import java.util.List;

import com.szpg.db.data.PgCh4;

/**
 * 甲烷相关参数读写的数据库接口
 * @author admin
 *
 */
public interface PgCh4Dao {

	/******** 甲烷浓度变量值 ********/
	public List<PgCh4> findAllPblz();
	public PgCh4 findPblzById(Integer id);
	public PgCh4 findLatestPblzByDevice(Integer deviceid);
	
	public List<PgCh4> findPblzByDevice(Integer deviceid);
	public List<PgCh4> findPblzByDeviceAndTm(Integer deviceid, String start, String end);
	
	public double findLastValueByDevice(Integer deviceid);
	
	public int addPblzRecord(PgCh4 ch4);
	public int addPblzRecord(float value, String tm, int deviceid);
}
